Your message dated Wed, 24 Apr 2019 18:12:00 +0000
with message-id <[email protected]>
and subject line Re: Bug#927871: unblock: node-js-beautify/1.7.5+dfsg-3
has caused the Debian Bug report #927871,
regarding unblock: node-js-beautify/1.7.5+dfsg-3
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [email protected]
immediately.)


-- 
927871: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=927871
Debian Bug Tracking System
Contact [email protected] with problems
--- Begin Message ---
Package: release.debian.org
Severity: normal
User: [email protected]
Usertags: unblock

Please unblock package node-js-beautify

Hi all,

node-js-beautify install is not complete. This makes css-beautify and
html-beautify commands unusable. I fixed this and added tests on these
commands (#927868).

Full changes:
  * Add SHELL=/bin/bash in debian/rules to make build reproducible. Thanks to
    Chris Lamb (Closes: #924458)
  * Fix install (Closes: #927868)
  * Add test on css-beautify and html-beautify

Reverse-dependencies:
 - (build) node-postcss
           +-> node-postcss-*  (no rdeps except node-css-loader)
           +-> node-css-loader (no rdeps)

This new package doesn't change installed files but adds these missing:
 - /usr/lib/nodejs/js-beautify/js/test/sanitytest.js
 - /usr/lib/nodejs/js-beautify/node_modules/editorconfig/lib/fnmatch.js
 - /usr/lib/nodejs/js-beautify/node_modules/editorconfig/lib/ini.js

So I think it is low risky to upgrade node-js-beautify in Buster.

Cheers,
Xavier

unblock node-js-beautify/1.7.5+dfsg-3
diff --git a/debian/changelog b/debian/changelog
index 4a58c69..c7bff6c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,13 @@
+node-js-beautify (1.7.5+dfsg-3) unstable; urgency=medium
+
+  * Team upload
+  * Add SHELL=/bin/bash in debian/rules to make build reproducible. Thanks to
+    Chris Lamb (Closes: #924458)
+  * Fix install (Closes: #927868)
+  * Add test on css-beautify and html-beautify
+
+ -- Xavier Guimard <[email protected]>  Wed, 24 Apr 2019 13:39:16 +0200
+
 node-js-beautify (1.7.5+dfsg-2) unstable; urgency=medium
 
   * Team upload.
diff --git a/debian/install b/debian/install
index b7fa76c..6d5ac05 100644
--- a/debian/install
+++ b/debian/install
@@ -5,5 +5,6 @@ js/lib usr/lib/nodejs/js-beautify/js/
 js/test/sanitytest.js usr/lib/nodejs/js-beautify/js/test/
 package.json usr/lib/nodejs/js-beautify/
 debian/node_modules/editorconfig/index.js 
usr/lib/nodejs/js-beautify/node_modules/editorconfig/
+debian/node_modules/editorconfig/lib 
usr/lib/nodejs/js-beautify/node_modules/editorconfig/
 debian/node_modules/editorconfig/package.json 
usr/lib/nodejs/js-beautify/node_modules/editorconfig/
 debian/node_modules/editorconfig/bin/editorconfig 
usr/lib/nodejs/js-beautify/node_modules/editorconfig/bin/
diff --git a/debian/rules b/debian/rules
index 269c052..1ebab2a 100755
--- a/debian/rules
+++ b/debian/rules
@@ -3,6 +3,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export SHELL=/bin/bash
 export NODE_PATH=debian/node_modules
 
 %:
@@ -11,12 +12,6 @@ export NODE_PATH=debian/node_modules
 override_dh_auto_build:
        ./build js
 
-#override_dh_auto_test:
-
-override_dh_install:
-       dh_install
-       rm -rf debian/node-js-beautify/usr/lib/nodejs/js-beautify/js/{test,src}
-
 override_dh_fixperms:
        dh_fixperms
        chmod +x debian/node-js-beautify/usr/lib/nodejs/js-beautify/js/bin/*
diff --git a/debian/tests/pkg-js/index.html b/debian/tests/pkg-js/index.html
new file mode 100644
index 0000000..f39108b
--- /dev/null
+++ b/debian/tests/pkg-js/index.html
@@ -0,0 +1,5 @@
+<html>
+<body>
+<p>TEST</p>
+</body>
+</html>
diff --git a/debian/tests/pkg-js/style.css b/debian/tests/pkg-js/style.css
new file mode 100644
index 0000000..13caad4
--- /dev/null
+++ b/debian/tests/pkg-js/style.css
@@ -0,0 +1,3 @@
+#tt: {
+font: bold
+}
diff --git a/debian/tests/pkg-js/test b/debian/tests/pkg-js/test
index b50d677..f1a0e79 100644
--- a/debian/tests/pkg-js/test
+++ b/debian/tests/pkg-js/test
@@ -1 +1,10 @@
+set -e
 node js/test/node-beautify-tests.js
+CSS=/usr/bin/css-beautify
+HTML=/usr/bin/html-beautify
+if test "$ADTTMP" = ""; then
+       CSS=./js/bin/css-beautify.js
+       HTML=./js/bin/html-beautify.js
+fi
+$CSS debian/tests/pkg-js/style.css >/dev/null
+$HTML debian/tests/pkg-js/index.html >/dev/null

--- End Message ---
--- Begin Message ---
Xavier Guimard:
> Package: release.debian.org
> Severity: normal
> User: [email protected]
> Usertags: unblock
> 
> Please unblock package node-js-beautify
> 
> Hi all,
> 
> node-js-beautify install is not complete. This makes css-beautify and
> html-beautify commands unusable. I fixed this and added tests on these
> commands (#927868).
> 
> Full changes:
>   * Add SHELL=/bin/bash in debian/rules to make build reproducible. Thanks to
>     Chris Lamb (Closes: #924458)
>   * Fix install (Closes: #927868)
>   * Add test on css-beautify and html-beautify
> 
> Reverse-dependencies:
>  - (build) node-postcss
>            +-> node-postcss-*  (no rdeps except node-css-loader)
>          +-> node-css-loader (no rdeps)
> 
> This new package doesn't change installed files but adds these missing:
>  - /usr/lib/nodejs/js-beautify/js/test/sanitytest.js
>  - /usr/lib/nodejs/js-beautify/node_modules/editorconfig/lib/fnmatch.js
>  - /usr/lib/nodejs/js-beautify/node_modules/editorconfig/lib/ini.js
> 
> So I think it is low risky to upgrade node-js-beautify in Buster.
> 
> Cheers,
> Xavier
> 
> unblock node-js-beautify/1.7.5+dfsg-3
> 

Unblocked, thanks.
~Niels

--- End Message ---

Reply via email to